You are here

Firefox Nightly installer needs to be updated

2 posts / 0 new
Last post
anonymous_person
Offline
Last seen: 2 years 4 months ago
Joined: 2009-12-09 15:22
Firefox Nightly installer needs to be updated

The currently builds are version 67 I believe so the installer needs to be updated to grab the new builds. Currently it just fails to download.

John T. Haller
John T. Haller's picture
Offline
Last seen: 5 hours 23 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Outdated Apps Thread

Please report outdated apps in the Outdated Apps Thread: https://portableapps.com/development/outdated

You can find the link from the Support and Development page as well as a large header announcement when creating a new forum thread.

Sometimes, the impossible can become possible, if you're awesome!

Log in or register to post comments